ru.bitel.bgbilling.kernel.contract.config.common.bean

## Class ContractModuleConfig

- java.lang.Object
- - ru.bitel.bgbilling.kernel.contract.config.common.bean.ContractModuleConfig

-     public class ContractModuleConfig
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractModuleConfig()`
    `ContractModuleConfig(int contractId, java.lang.String contractTitle, java.lang.String key, java.lang.String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractId()`
    `java.lang.String` | `getContractTitle()`
    `java.lang.String` | `getKey()`
    `java.lang.String` | `getValue()`
    `void` | `setContractId(int contractId)`
    `void` | `setContractTitle(java.lang.String contractTitle)`
    `void` | `setKey(java.lang.String key)`
    `void` | `setValue(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractModuleConfig

          public ContractModuleConfig()

    - #### ContractModuleConfig

          public ContractModuleConfig(int contractId,
                                      java.lang.String contractTitle,
                                      java.lang.String key,
                                      java.lang.String value)

  - ### Method Detail

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

    - #### getKey

          public java.lang.String getKey()

    - #### setKey

          public void setKey(java.lang.String key)

    - #### getValue

          public java.lang.String getValue()

    - #### setValue

          public void setValue(java.lang.String value)